ClientAuthorizationTestCase.OperationWithAction (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.security

## Class ClientAuthorizationTestCase.OperationWithAction

- java.lang.Object
- - org.apache.geode.security.ClientAuthorizationTestCase.OperationWithAction

- Enclosing class:
    ClientAuthorizationTestCase

      protected static class ClientAuthorizationTestCase.OperationWithAction
      extends java.lang.Object

  This class encapsulates an `OperationContext.OperationCode` with associated flags, the client to perform the operation, and the number of operations to perform.
  Since:
    GemFire 5.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClientAuthorizationTestCase.OperationWithAction` | `OPBLOCK_END` Indicates end of an operation block which can be used for testing with failover
    `static ClientAuthorizationTestCase.OperationWithAction` | `OPBLOCK_NO_FAILOVER` Indicates end of an operation block which should not be used for testing with failover

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationWithAction(OperationContext.OperationCode opCode)`
    `OperationWithAction(OperationContext.OperationCode opCode, int clientNum)`
    `OperationWithAction(OperationContext.OperationCode opCode, int clientNum, int flags, int numOps)`
    `OperationWithAction(OperationContext.OperationCode opCode, int clientNum, int flags, int[] indices)`
    `OperationWithAction(OperationContext.OperationCode opCode, OperationContext.OperationCode deniedOpCode, int clientNum, int flags, int numOps)`
    `OperationWithAction(OperationContext.OperationCode opCode, OperationContext.OperationCode deniedOpCode, int clientNum, int flags, int[] indices)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationContext.OperationCode` | `getAuthzOperationCode()`
    `int` | `getClientNum()`
    `int` | `getFlags()`
    `int[]` | `getIndices()`
    `OperationContext.OperationCode` | `getOperationCode()`
    `int` | `getOpNum()`
    `void` | `setOpNum(int opNum)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OPBLOCK_END

          public static final ClientAuthorizationTestCase.OperationWithAction OPBLOCK_END

      Indicates end of an operation block which can be used for testing with failover

    - #### OPBLOCK_NO_FAILOVER

          public static final ClientAuthorizationTestCase.OperationWithAction OPBLOCK_NO_FAILOVER

      Indicates end of an operation block which should not be used for testing with failover

  - ### Constructor Detail

    - #### OperationWithAction

          public OperationWithAction(OperationContext.OperationCode opCode)

    - #### OperationWithAction

          public OperationWithAction(OperationContext.OperationCode opCode,
                                     int clientNum)

    - #### OperationWithAction

          public OperationWithAction(OperationContext.OperationCode opCode,
                                     int clientNum,
                                     int flags,
                                     int numOps)

    - #### OperationWithAction

          public OperationWithAction(OperationContext.OperationCode opCode,
                                     OperationContext.OperationCode deniedOpCode,
                                     int clientNum,
                                     int flags,
                                     int numOps)

    - #### OperationWithAction

          public OperationWithAction(OperationContext.OperationCode opCode,
                                     int clientNum,
                                     int flags,
                                     int[] indices)

    - #### OperationWithAction

          public OperationWithAction(OperationContext.OperationCode opCode,
                                     OperationContext.OperationCode deniedOpCode,
                                     int clientNum,
                                     int flags,
                                     int[] indices)

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

    - #### getAuthzOperationCode

          public OperationContext.OperationCode getAuthzOperationCode()

    - #### getClientNum

          public int getClientNum()

    - #### getFlags

          public int getFlags()

    - #### getIndices

          public int[] getIndices()

    - #### getOpNum

          public int getOpNum()

    - #### setOpNum

          public void setOpNum(int opNum)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`